net.minecraft.enchantment

## Class EnchantmentProtection

- java.lang.Object
- - net.minecraft.enchantment.Enchantment
  - - net.minecraft.enchantment.EnchantmentProtection

-     public class EnchantmentProtection
      extends Enchantment

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `protectionType`

    - ### Fields inherited from class net.minecraft.enchantment.Enchantment

      `aquaAffinity, baneOfArthropods, blastProtection, effectId, efficiency, enchantmentsBookList, enchantmentsList, featherFalling, field_151369_A, field_151370_z, fireAspect, fireProtection, flame, fortune, infinity, knockback, looting, name, power, projectileProtection, protection, punch, respiration, sharpness, silkTouch, smite, thorns, type, unbreaking`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EnchantmentProtection(int par1, int par2, int par3)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `calcModifierDamage(int par1, DamageSource par2DamageSource)`
    `boolean` | `canApplyTogether(Enchantment par1Enchantment)`
    `static double` | `func_92092_a(Entity par0Entity, double par1)`
    `static int` | `getFireTimeForEntity(Entity par0Entity, int par1)`
    `int` | `getMaxEnchantability(int par1)`
    `int` | `getMaxLevel()`
    `int` | `getMinEnchantability(int par1)`
    `java.lang.String` | `getName()`

    - ### Methods inherited from class net.minecraft.enchantment.Enchantment

      `addToBookList, calcModifierLiving, canApply, canApplyAtEnchantingTable, func_151367_b, func_151368_a, getMinLevel, getTranslatedName, getWeight, isAllowedOnBooks, setName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### protectionType

          public final int protectionType

  - ### Constructor Detail

    - #### EnchantmentProtection

          public EnchantmentProtection(int par1,
                               int par2,
                               int par3)

  - ### Method Detail

    - #### getMinEnchantability

          public int getMinEnchantability(int par1)

      Overrides:
        `getMinEnchantability` in class `Enchantment`

    - #### getMaxEnchantability

          public int getMaxEnchantability(int par1)

      Overrides:
        `getMaxEnchantability` in class `Enchantment`

    - #### getMaxLevel

          public int getMaxLevel()

      Overrides:
        `getMaxLevel` in class `Enchantment`

    - #### calcModifierDamage

          public int calcModifierDamage(int par1,
                               DamageSource par2DamageSource)

      Overrides:
        `calcModifierDamage` in class `Enchantment`

    - #### getName

          public java.lang.String getName()

      Overrides:
        `getName` in class `Enchantment`

    - #### canApplyTogether

          public boolean canApplyTogether(Enchantment par1Enchantment)

      Overrides:
        `canApplyTogether` in class `Enchantment`

    - #### getFireTimeForEntity

          public static int getFireTimeForEntity(Entity par0Entity,
                                 int par1)

    - #### func_92092_a

          public static double func_92092_a(Entity par0Entity,
                            double par1)